				<div class="inform">
				<input type="hidden" name="mode" value="<%= @mode %>" />
				<fieldset>
						<legend>Supplement ban with IP and e-mail</legend>
						<div class="infldset">
							<table class="aligntop" cellspacing="0">
								<tr>
									<th scope="row">Username</th>
									<td>
										<input type="text" name="ban[username]" size="25" maxlength="25" value="<%=h @ban.username %>" tabindex="1" />
										<span>The username to ban.</span>
									</td>
								</tr>
								<tr>
									<th scope="row">IP-adresses</th>
									<td>
										<input type="text" name="ban[ip]" size="45" maxlength="255" value="<%= @ban.ip %>" tabindex="2" />
										<span>The IP or IP-ranges you wish to ban (e.g. 150.11.110.1 or 150.11.110). Separate addresses with spaces. If an IP is entered already it is the last known IP of this user in the database.
<% if @ban.username != '' && defined? @user_id -%>
Click <a href="<%= url_for :action => 'ip_stats', :uid => @user_id %>">here</a> to see IP statistics for this user.'
<% end -%>
</span>
									</td>
								</tr>
								<tr>
									<th scope="row">E-mail/domain</th>
									<td>
										<input type="text" name="ban[email]" size="40" maxlength="50" value="<%= @ban.email.downcase unless @ban.email.nil? %>" tabindex="3" />
										<span>The e-mail or e-mail domain you wish to ban (e.g. someone@somewhere.com or somewhere.com). See "Allow banned e-mail addresses" in Options for more info.</span>
									</td>
								</tr>
							</table>
							<p class="topspace"><strong class="warntext">You should be very careful when banning an IP-range because of the possibility of multiple users matching the same partial IP.</strong></p>
						</div>
					</fieldset>
				</div>
				<div class="inform">
					<fieldset>
						<legend>Ban message and expiry</legend>
						<div class="infldset">
							<table class="aligntop" cellspacing="0">
								<tr>
									<th scope="row">Ban message</th>
									<td>
										<input type="text" name="ban[message]" size="50" maxlength="255" value="<%= @ban.message %>" tabindex="4" />
										<span>A message that will be displayed to the banned user when he/she visits the forums.</span>
									</td>
								</tr>
								<tr>
									<th scope="row">Expire date</th>
									<td>
										<input type="text" name="ban[expire]" size="17" maxlength="10" value="<%= @ban.expire %>" tabindex="5" />
										<span>The date when this ban should be automatically removed (format: YYYY-MM-DD). Leave blank to remove manually.</span>
									</td>
								</tr>
							</table>
						</div>
					</fieldset>
				</div>
				<p class="submitend"><input type="submit" name="add_edit_ban" value=" Save " tabindex="6" /></p>

